package org.itscool.weber.mapping;

import java.util.HashMap;

/**
 * ActionMappingインスタンスを保持する配列クラスです<BR>
 * <BR>
 * このクラスは次のキーと値の配列で管理されます<BR>
 * 　キー：Actionを呼び出すためのリクエストURI名(path)<BR>
 *   値  ：ActionMappingインスタンス<BR>
 *
 * @author KANO
 * @since jdk1.4.1
 * @version 1.00A 2004/11/1 
*/
public class ActionMappings extends HashMap{
    /** 唯一のActionMappingsインスタンス */
    private static ActionMappings instance;
    
    /**
     * 唯一のActionMappingsインスタンスを取得します
     * @return ActionMappingsインスタンスを返します
    */
    public static synchronized ActionMappings getInstance(){
        if( instance == null ){
            instance = new ActionMappings();
        }
        return instance;
    }
    
}
